package com.order.consumer;

import com.hfkj.model.order.OrderModel;
import com.hfkj.service.order.BsOrderService;
import lombok.extern.slf4j.Slf4j;
import org.apache.rocketmq.spring.annotation.RocketMQMessageListener;
import org.apache.rocketmq.spring.core.RocketMQListener;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

@Component
@Slf4j
@RocketMQMessageListener(consumerGroup = "order-profit-sharing-group", topic = "order-topic",selectorExpression = "profit-sharing")
public class OrderProfitSharingConsumer implements RocketMQListener<OrderModel> {

    @Resource
    private BsOrderService orderService;

    @Override
    public void onMessage(OrderModel order) {

    }
}
