package com.hfkj;

import com.alicp.jetcache.anno.config.EnableCreateCacheAnnotation;
import com.alicp.jetcache.anno.config.EnableMethodCache;
import com.hfkj.common.utils.SpringContextUtil;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.web.servlet.ServletComponentScan;
import org.springframework.context.ApplicationContext;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;

@SpringBootApplication
// @ComponentScan
@EnableTransactionManagement
@EnableScheduling
@EnableMethodCache(basePackages = "com.hfkj")
@EnableCreateCacheAnnotation
@ServletComponentScan
@MapperScan("com.hfkj.dao")
public class ScheduleApplication
{
	 public static void main( String[] args )
	 {
	 	ApplicationContext app = SpringApplication.run(ScheduleApplication.class, args);
		 SpringContextUtil.setApplicationContext(app);
	 }
	    
}
