package com.hfkj.model.goods;

import com.hfkj.entity.GoodsMsg;
import com.hfkj.entity.GoodsSpecs;
import lombok.Data;

import java.util.Date;

@Data
public class GoodsModelSpecs extends GoodsSpecs {

    /**
     * 商品名称
     */
    private String goodsName;

    /**
     * 商品规格id
     */
    private Long specsId;

    /**
     * 编号
     */
    private String key;

    /**
     * 有效天数
     */
    private Integer validDay;

    /**
     * 销售截止日期
     */
    private Date salesEndTime;

    /**
     * 类型  1:内部虚拟商品  2:外部虚拟产品
     */
    private Integer type;

    /**
     * 产品来源：1.内部虚拟商品 4.贵州中石化 5.重庆中石油 6.比邻星停车券 7.四川中石油  10.中油优途中石油
     */
    private Integer source;

    /**
     * 跳转类型：1.小程序 2.h5
     */
    private Integer jumpType;

    /**
     * 跳转地址
     */
    private String jumpUrl;

    /**
     * 应用ID
     */
    private String appid;
}
