package com.hfkj.dao;

import com.hfkj.entity.CouponDiscountGoodsRel;
import com.hfkj.entity.CouponDiscountGoodsRelExample;
import java.util.List;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.DeleteProvider;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.InsertProvider;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Result;
import org.apache.ibatis.annotations.Results;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.SelectProvider;
import org.apache.ibatis.annotations.Update;
import org.apache.ibatis.annotations.UpdateProvider;
import org.apache.ibatis.type.JdbcType;
import org.springframework.stereotype.Repository;

/**
 * 
 * 代码由工具生成,请勿修改!!!
 * 如果需要扩展请在其父类进行扩展
 * 
 **/
@Repository
public interface CouponDiscountGoodsRelMapper extends CouponDiscountGoodsRelMapperExt {
    @SelectProvider(type=CouponDiscountGoodsRelSqlProvider.class, method="countByExample")
    long countByExample(CouponDiscountGoodsRelExample example);

    @DeleteProvider(type=CouponDiscountGoodsRelSqlProvider.class, method="deleteByExample")
    int deleteByExample(CouponDiscountGoodsRelExample example);

    @Delete({
        "delete from coupon_discount_goods_rel",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int deleteByPrimaryKey(Long id);

    @Insert({
        "insert into coupon_discount_goods_rel (discount_id, create_time, ",
        "specs_id, `status`, ",
        "ext_1, ext_2, ext_3)",
        "values (#{discountId,jdbcType=BIGINT}, #{createTime,jdbcType=TIMESTAMP}, ",
        "#{specsId,jdbcType=BIGINT}, #{status,jdbcType=INTEGER}, ",
        "#{ext1,jdbcType=VARCHAR}, #{ext2,jdbcType=VARCHAR}, #{ext3,jdbcType=VARCHAR})"
    })
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insert(CouponDiscountGoodsRel record);

    @InsertProvider(type=CouponDiscountGoodsRelSqlProvider.class, method="insertSelective")
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insertSelective(CouponDiscountGoodsRel record);

    @SelectProvider(type=CouponDiscountGoodsRelSqlProvider.class, method="selectByExample")
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="discount_id", property="discountId", jdbcType=JdbcType.BIGINT),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="specs_id", property="specsId", jdbcType=JdbcType.BIGINT),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    List<CouponDiscountGoodsRel> selectByExample(CouponDiscountGoodsRelExample example);

    @Select({
        "select",
        "id, discount_id, create_time, specs_id, `status`, ext_1, ext_2, ext_3",
        "from coupon_discount_goods_rel",
        "where id = #{id,jdbcType=BIGINT}"
    })
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="discount_id", property="discountId", jdbcType=JdbcType.BIGINT),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="specs_id", property="specsId", jdbcType=JdbcType.BIGINT),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    CouponDiscountGoodsRel selectByPrimaryKey(Long id);

    @UpdateProvider(type=CouponDiscountGoodsRelSqlProvider.class, method="updateByExampleSelective")
    int updateByExampleSelective(@Param("record") CouponDiscountGoodsRel record, @Param("example") CouponDiscountGoodsRelExample example);

    @UpdateProvider(type=CouponDiscountGoodsRelSqlProvider.class, method="updateByExample")
    int updateByExample(@Param("record") CouponDiscountGoodsRel record, @Param("example") CouponDiscountGoodsRelExample example);

    @UpdateProvider(type=CouponDiscountGoodsRelSqlProvider.class, method="updateByPrimaryKeySelective")
    int updateByPrimaryKeySelective(CouponDiscountGoodsRel record);

    @Update({
        "update coupon_discount_goods_rel",
        "set discount_id = #{discountId,jdbcType=BIGINT},",
          "create_time = #{createTime,jdbcType=TIMESTAMP},",
          "specs_id = #{specsId,jdbcType=BIGINT},",
          "`status` = #{status,jdbcType=INTEGER},",
          "ext_1 = #{ext1,jdbcType=VARCHAR},",
          "ext_2 = #{ext2,jdbcType=VARCHAR},",
          "ext_3 = #{ext3,jdbcType=VARCHAR}",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int updateByPrimaryKey(CouponDiscountGoodsRel record);
}