package com.hfkj.model.order;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 卡券订单模型
 * @className: BsOrderCouponModel
 * @author: HuRui
 * @date: 2024/5/13
 **/
@Data
public class OrderCouponModel {

    public String orderNo;
    public String childOrderNo;
    public String userPhone;
    public String goodsKey;
    public String goodsName;
    public String goodsSpecsName;
    public String goodsPrice;
    public String goodsCount;
    public BigDecimal totalPrice;
    public BigDecimal totalDeductionPrice;
    public BigDecimal couponDiscountPrice;
    public BigDecimal integralDiscountPrice;
    public BigDecimal payRealPrice;
    public Integer payChannel;
    public Integer payType;
    public String paySerialNo;
    public Integer tradeStatus;
    public Date createTime;
    public Date payTime;
    public String channelOrderNo;
    public String couNo;
    public Integer couStatus;
    public Date expireTime;
    public String exceptionStatus;
    public Date finishTime;

}
