package com.hfkj.service;

import com.hfkj.entity.SecUser;
import com.hfkj.entity.SecUserLoginLog;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

/**
 * 登录账户
 * @className: SecUserLoginLogService
 * @author: HuRui
 * @date: 2024/4/3
 **/
public interface SecUserLoginLogService {

    /**
     * 创建
     * @param userLoginLog
     */
    void create(SecUserLoginLog userLoginLog);

    /**
     * 异步创建登录日志
     * @param user
     */
    void asyncCreateLog(SecUser user, HttpServletRequest request);

    /**
     * 查询日志列表
     * @param param
     * @return
     */
    List<SecUserLoginLog> getLogList(Map<String, Object> param);

}
