package com.hfkj.service.coupon.impl;

import com.hfkj.dao.BsOrderCouponNoMapper;
import com.hfkj.entity.BsOrderCouponNo;
import com.hfkj.entity.BsOrderCouponNoExample;
import com.hfkj.service.coupon.BsOrderCouponNoService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

/**
 * @className: BsOrderCouponNoServiceImpl
 * @author: HuRui
 * @date: 2024/5/11
 **/
@Service("orderCouponNoService")
public class BsOrderCouponNoServiceImpl implements BsOrderCouponNoService {
    @Resource
    private BsOrderCouponNoMapper orderCouponNoMapper;
    @Override
    public void editData(BsOrderCouponNo data) {
        data.setUpdateTime(new Date());
        if (data.getId() == null) {
            data.setCreateTime(new Date());
            orderCouponNoMapper.insert(data);
        } else {
            orderCouponNoMapper.updateByPrimaryKey(data);
        }
    }

    @Override
    public List<BsOrderCouponNo> getListByCouponOrderId(Long couponOrderId) {
        BsOrderCouponNoExample example = new BsOrderCouponNoExample();
        example.createCriteria().andCouponOrderIdEqualTo(couponOrderId);
        return orderCouponNoMapper.selectByExample(example);
    }
}
