package com.hfkj.sysenum;

/**
 * 菜单类型
 * @className: MerStatusEnum
 * @author: HuRui
 * @date: 2024/4/24
 **/
public enum MerStatusEnum {

    /**
     * 删除
     */
    status0(0, "删除"),

    /**
     * 正常
     */
    status1(1, "正常"),
    ;

    private int code;

    private String name;


    MerStatusEnum(int code, String name) {
        this.code = code;
        this.name = name;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
