package com.hfkj.sysenum.order;

import lombok.Getter;

/**
 * 交易支付类型
 * @className: OrderPayModelEnum
 * @author: HuRui
 * @date: 2024/5/7
 **/
@Getter
public enum OrderPayTypeEnum {
    /**
     * 微信
     */
    type1(1, "微信"),
    /**
     * 支付宝
     */
    type2(2, "支付宝"),
    /**
     * 快捷支付
     */
    type3(3, "快捷支付"),
    ;

    private final int code;

    private final String name;

    OrderPayTypeEnum(int code, String name) {
        this.code = code;
        this.name = name;
    }
}
